petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatInterpolate

y = A*x or A'*x depending on the shape of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInterpolate(Mat A,Vec x,Vec y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x,y | - the vectors

### Notes

This allows one to use either the restriction or interpolation (its transpose) matrix to do the interpolation

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatRestrict()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatInterpolate_USFFT_Private in src/dm/impls/da/usfft/matusfft.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages